diff --git a/EventFilter/Utilities/interface/DAQSourceModelsDTH.h b/EventFilter/Utilities/interface/DAQSourceModelsDTH.h
index 8a1996f4f41..96b918e4976 100644
--- a/EventFilter/Utilities/interface/DAQSourceModelsDTH.h
+++ b/EventFilter/Utilities/interface/DAQSourceModelsDTH.h
@@ -68,8 +68,8 @@ public:
   std::pair<bool, std::vector<std::string>> defineAdditionalFiles(std::string const& primaryName,
                                                                   bool fileListMode) const override;
 
-  bool hasEventCounterCallback() const { return true; }
-  int eventCounterCallback(std::string const& name, int& fd, int64_t& fsize, uint32_t sLS, bool& found) const;
+  bool hasEventCounterCallback() const override { return true; }
+  int eventCounterCallback(std::string const& name, int& fd, int64_t& fsize, uint32_t sLS, bool& found) const override;
 
 private:
   bool verifyChecksum_;
diff --git a/EventFilter/Utilities/interface/SourceRawFile.h b/EventFilter/Utilities/interface/SourceRawFile.h
index b9aa1ea87ed..ce53bcb8416 100644
--- a/EventFilter/Utilities/interface/SourceRawFile.h
+++ b/EventFilter/Utilities/interface/SourceRawFile.h
@@ -7,6 +7,7 @@
 //#include <memory>
 //#include <mutex>
 //#include <thread>
+#include <memory>
 #include <queue>
 
 #include "FWCore/Framework/interface/EventPrincipal.h"
@@ -238,7 +239,7 @@ public:
   }
   void queue(UnpackedRawEventWrapper* ec) {
     if (!frdcQueue_.get())
-      frdcQueue_.reset(new std::queue<std::unique_ptr<UnpackedRawEventWrapper>>());
+      frdcQueue_ = std::make_unique<std::queue<std::unique_ptr<UnpackedRawEventWrapper>>>();
     std::unique_ptr<UnpackedRawEventWrapper> uptr(ec);
     frdcQueue_->push(std::move(uptr));
   }
diff --git a/EventFilter/Utilities/src/DAQSourceModelsDTH.cc b/EventFilter/Utilities/src/DAQSourceModelsDTH.cc
index 6335ff51da0..2ebe9402045 100644
--- a/EventFilter/Utilities/src/DAQSourceModelsDTH.cc
+++ b/EventFilter/Utilities/src/DAQSourceModelsDTH.cc
@@ -357,18 +357,18 @@ void DataModeDTH::makeDirectoryEntries(std::vector<std::string> const& baseDirs,
 std::pair<bool, std::vector<std::string>> DataModeDTH::defineAdditionalFiles(std::string const& primaryName,
                                                                                     bool fileListMode) const {
   //non-striped mode
-  if (!buPaths_.size())
+  if (buPaths_.empty())
     return std::make_pair(true, std::vector<std::string>());
 
   std::vector<std::string> additionalFiles;
 
   //not touching primary file name as found by input mechanism. Format assumes source is last parameter in the filename
-  auto extpos = primaryName.rfind(".");
+  auto extpos = primaryName.rfind('.');
   auto indexpos = primaryName.find("_index");
   assert(indexpos != std::string::npos);
-  auto cutoff = primaryName.find("_", indexpos + 1); //search after index
+  auto cutoff = primaryName.find('_', indexpos + 1); //search after index
   if (cutoff == std::string::npos) cutoff = extpos; //no source
-  auto slashpos = primaryName.rfind("/", indexpos);
+  auto slashpos = primaryName.rfind('/', indexpos);
   auto startoff = slashpos == std::string::npos ? 0 : slashpos + 1;//determine if directory path is returned
 
   std::string primStem = primaryName.substr(startoff, cutoff - startoff);
diff --git a/EventFilter/Utilities/src/EvFDaqDirector.cc b/EventFilter/Utilities/src/EvFDaqDirector.cc
index 81f14ace91e..a3468564f65 100644
--- a/EventFilter/Utilities/src/EvFDaqDirector.cc
+++ b/EventFilter/Utilities/src/EvFDaqDirector.cc
@@ -158,7 +158,7 @@ namespace evf {
     pid_ = ss.str();
 
     if (!source_identifier_.empty()) {
-      if (!bu_base_dirs_source_ids_.size())
+      if (bu_base_dirs_source_ids_.empty())
         throw cms::Exception("EvFDaqDirector") << "buBaseDirsStreamIDs should not be empty with sourceIdentifier set";
       std::stringstream ss2;
       ss2 << "_" << source_identifier_ << std::setfill('0') << std::setw(4) << bu_base_dirs_source_ids_[0];
@@ -1996,7 +1996,7 @@ namespace evf {
       // Call the lambda and print the sorted filenames
       std::vector<std::string> files = listSortedFilesByLS(bu_run_dir_);
 
-      if (!files.size())
+      if (files.empty())
         return noFile;
 
       for (auto const& name: files) {
